EDIT - bug #7245

validation of ToOneRelatedEntityCombobox not working

02/06/2018 09:00 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

ToOneRelatedEntityCombobox set to required are not validated when the editor is comitted.

validation is only triggered when LazyComboBox.setValue() is called, this however happens not when the selection is initially empty.

We need to be able to validate empty selections: Nomenclatural references are required in the TaxonName editor in the phycobank

application

Related issues:

Related to EDIT - bug #9476: SpecimenTypeDesignations for existing names in o... Closed
Related to EDIT - bug #9478: required ToOneRelatedEntityCombobox field in Spe... Closed

Associated revisions

Revision 98a2455f - 12/06/2018 04:37 PM - Andreas Kohlbecker
fix #7245 fixing validation of ToOneRelatedEntityCombobox and re-enabling

TaxonNamePopupEditorMode.REQUIRE_NOMENCLATURALREFERENCE

History

#1 - 02/06/2018 09:07 AM - Andreas Kohlbecker

- Description updated

#2 - 02/15/2018 02:57 PM - Andreas Miuller

- Target version changed from Release 4.14 to Release 5.0

#3 - 03/23/2018 11:18 AM - Andreas Kohlbecker
- Priority changed from New to Priority14

#4 - 05/16/2018 11:20 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#5 - 06/28/2018 08:04 AM - Andreas Kohlbecker

- Target version changed from Release 5.1 to Release 5.2

#6 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#7 - 09/06/2018 11:11 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#8 - 10/23/2018 01:09 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#9 - 12/03/2018 05:15 PM - Andreas Kohlbecker
- Priority changed from Priority14 to Highest

03/20/2024

1/2




This issue becomes more important now that blocking registrations are created. Names with missing nom. references cause broken registrations.

#10 - 12/06/2018 04:37 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|98a2455{3da2841496b415bc1f402515a6e0b034.

#11 - 12/06/2018 04:39 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Please review once the test-server is updated

#12 - 12/07/2018 02:04 PM - Wolf-Henning Kusber
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Tested:
Name can not be saved without a referene, warning is fine.
No problems.

#13 - 02/25/2021 02:31 PM - Andreas Kohlbecker

- Related to bug #9476: SpecimenTypeDesignations for existing names in other nom acts can not be created added

#14 - 02/25/2021 02:41 PM - Andreas Kohlbecker
- Related to bug #9478: required ToOneRelatedEntityCombobox field in SpecimenTypeDesignationDTORow fails validation added
